### Constructor

# Ide DirectoryVcs new

#### Declaration

    IdeDirectoryVcs*
    ide_directory_vcs_new (
      GFile* workdir
    )

#### Description

No description available.

#### Parameters

`workdir` | `GFile`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDirectoryVcs`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.